/* SKILLS */
.skills_container {
  row-gap: 0;
}

.skills_header {
  display: flex;
  align-items: center;
  margin-bottom: var(--mb-2-5);
  cursor: pointer;
}

.skills_icon,
.skills_arrow {
  font-size: 2rem;
  font-weight: bolder;
  color: var(--first-color);
}

.skills_icon {
  margin-right: var(--mb-0-75);
}

.skills_title {
  font-size: var(--h3-font-size);
}

.skills_subtitle {
  font-size: var(--small-font-size);
  color: var(--text-color-light);
}

.skills_arrow {
  margin-left: auto;
  transition: 0.4s;
}

.skills_list {
  row-gap: 1.5rem;
  padding-left: 2.7rem;
  height: 0;
  overflow: hidden;
}

.skills_titles {
  display: flex;
  justify-content: space-between;
}

.skills_name {
  font-size: var(--normal-font-size);
  font-weight: var(--font-medium);
}

.single_skill_icon {
  color: var(--first-color);
  font-size: var(--h1-font-size);
}

.external-logo {
  width: var(--h1-font-size);
}

.skills_bar {
  height: 5px;
  border-radius: 0.25rem;
  background-color: var(--first-color);
}

.skills_open .skills_list {
  height: max-content;
  margin-bottom: var(--mb-2-5);
  transition: 0.3s;
}

.skills_open .skills_arrow {
  transform: rotate(-180deg);
}

/* MEDIA QUERIES */

/* For small devices */
@media screen and (max-width: 350px) {
  .skills_title {
    font-size: var(--normal-font-size);
  }
}

@media screen and (min-width: 768px) {
  .skills_container {
    grid-template-columns: repeat(2, 1fr);
  }
}